audio/grip - The NetBSD Packages Collection

CD-player and CD-ripper for the Gnome desktop

Grip is a GTK-based CD-player and CD-ripper / MP3 encoder. It has the ripping
capabilities of cdparanoia built in, but can also use external rippers (such as
cdda2wav). Encoder presets are provided for lame, bladeenc, l3enc, xingmp3enc,
mp3encode, gogo)

Build dependencies

pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/pkgconf

Runtime dependencies

audio/cdparanoia audio/id3lib devel/libgnomeui devel/GConf graphics/hicolor-icon-theme www/curl audio/cdparanoia audio/id3lib devel/libgnomeui devel/GConf graphics/hicolor-icon-theme www/curl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgrip-4.2.0nb2.tgz
NetBSD 8.0earmv7hfgrip-4.2.0.tgz
NetBSD 8.0earmv7hfgrip-4.2.0nb2.tgz
NetBSD 8.0i386grip-4.2.0.tgz
NetBSD 8.0i386grip-4.2.0nb2.tgz
NetBSD 8.0powerpcgrip-4.2.0.tgz
NetBSD 8.0powerpcgrip-4.2.0nb2.tgz
NetBSD 8.0powerpcgrip-4.2.0nb2.tgz
NetBSD 8.0powerpcgrip-4.2.0nb2.tgz
NetBSD 8.0x86_64grip-4.2.0.tgz
NetBSD 8.0x86_64grip-4.2.0nb2.tgz
NetBSD 9.0aarch64grip-4.2.0nb2.tgz
NetBSD 9.0aarch64grip-4.2.0.tgz
NetBSD 9.0aarch64grip-4.2.0nb2.tgz
NetBSD 9.0alphagrip-4.2.0nb2.tgz
NetBSD 9.0alphagrip-4.2.0.tgz
NetBSD 9.0alphagrip-4.2.0nb2.tgz
NetBSD 9.0earmv6hfgrip-4.2.0nb2.tgz
NetBSD 9.0earmv6hfgrip-4.2.0.tgz
NetBSD 9.0earmv6hfgrip-4.2.0nb2.tgz
NetBSD 9.0earmv7hfgrip-4.2.0nb2.tgz
NetBSD 9.0earmv7hfgrip-4.2.0.tgz
NetBSD 9.0earmv7hfgrip-4.2.0nb2.tgz
NetBSD 9.0earmv7hfgrip-4.2.0nb2.tgz
NetBSD 9.0i386grip-4.2.0.tgz
NetBSD 9.0i386grip-4.2.0nb2.tgz
NetBSD 9.0i386grip-4.2.0nb2.tgz
NetBSD 9.0mips64ebgrip-4.2.0nb2.tgz
NetBSD 9.0mips64ebgrip-4.0.1nb7.tgz
NetBSD 9.0mips64ebgrip-4.2.0.tgz
NetBSD 9.0mips64ebgrip-4.2.0.tgz
NetBSD 9.0mips64ebgrip-4.2.0nb2.tgz
NetBSD 9.0powerpcgrip-4.2.0nb2.tgz
NetBSD 9.0powerpcgrip-4.2.0.tgz
NetBSD 9.0powerpcgrip-4.2.0nb2.tgz
NetBSD 9.0powerpcgrip-4.2.0nb2.tgz
NetBSD 9.0sparc64grip-4.2.0nb2.tgz
NetBSD 9.0sparc64grip-4.2.0.tgz
NetBSD 9.0sparc64grip-4.2.0nb2.tgz
NetBSD 9.0sparcgrip-4.2.0nb2.tgz
NetBSD 9.0sparcgrip-4.2.0.tgz
NetBSD 9.0sparcgrip-4.2.0.tgz
NetBSD 9.0sparcgrip-4.2.0nb2.tgz
NetBSD 9.0x86_64grip-4.2.0nb2.tgz
NetBSD 9.0x86_64grip-4.2.0nb2.tgz
NetBSD 9.0x86_64grip-4.2.0.tgz
NetBSD 9.0x86_64grip-4.2.0nb2.tgz
NetBSD 9.0x86_64grip-4.2.0nb2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

cdparanoia
Use cdparanoia to rip CDDA media.
id3
Enable id3 tagging support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.